org.apache.fop.complexscripts.fonts

## Class GlyphMappingTable.EmptyMappingTable

- java.lang.Object
- - org.apache.fop.complexscripts.fonts.GlyphMappingTable
  - - org.apache.fop.complexscripts.fonts.GlyphMappingTable.EmptyMappingTable

Enclosing class:
  GlyphMappingTable

    protected static class GlyphMappingTable.EmptyMappingTable
    extends GlyphMappingTable

empty mapping table base class

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.complexscripts.fonts.GlyphMappingTable

`GlyphMappingTable.EmptyMappingTable, GlyphMappingTable.MappedMappingTable, GlyphMappingTable.MappingRange, GlyphMappingTable.RangeMappingTable`

### Field Summary

### Fields inherited from class org.apache.fop.complexscripts.fonts.GlyphMappingTable

`GLYPH_MAPPING_TYPE_EMPTY, GLYPH_MAPPING_TYPE_MAPPED, GLYPH_MAPPING_TYPE_RANGE`

### Constructor Summary

Constructors
Constructor and Description
`EmptyMappingTable()` Construct empty mapping table.
`EmptyMappingTable(List entries)` Construct empty mapping table with entries (ignored).

### Method Summary

All Methods Instance Methods Concrete Methods
`List` `getEntries()` Obtain mapping entries.
`int` `getMappedIndex(int gid)` Map glyph identifier (code) to coverge index.
`int` `getMappingSize()` Obtain size of mapping table, i.e., ciMax + 1, where ciMax is the maximum mapping index.
`int` `getType()` Obtain mapping type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EmptyMappingTable

    public EmptyMappingTable()

Construct empty mapping table.

#### EmptyMappingTable

    public EmptyMappingTable(List entries)

Construct empty mapping table with entries (ignored).

Parameters:
  `entries` - list of entries (ignored)

### Method Detail

#### getType

    public int getType()

Obtain mapping type.

Overrides:
  `getType` in class `GlyphMappingTable`
Returns:
  mapping format type

#### getEntries

    public List getEntries()

Obtain mapping entries.

Overrides:
  `getEntries` in class `GlyphMappingTable`
Returns:
  list of mapping entries

#### getMappingSize

    public int getMappingSize()

Obtain size of mapping table, i.e., ciMax + 1, where ciMax is the maximum mapping index.

Overrides:
  `getMappingSize` in class `GlyphMappingTable`
Returns:
  size of mapping table

#### getMappedIndex

    public int getMappedIndex(int gid)

Map glyph identifier (code) to coverge index. Returns -1 if glyph identifier is not in the domain of the mapping table.

Overrides:
  `getMappedIndex` in class `GlyphMappingTable`
Parameters:
  `gid` - glyph identifier (code)
Returns:
  non-negative glyph mapping index or -1 if glyph identifiers is not mapped by table